Name:          jfontchooser
Version:       1.0.5
Release:       2%{?dist}
Summary:       Swing-based java component for font selection
URL:           http://jfontchooser.sourceforge.jp/site/jfontchooser/index.html
Source0:       http://iij.dl.osdn.jp/jfontchooser/31074/jfontchooser-%{version}-src.zip
License:       MIT
BuildRequires: maven-local
BuildArch:     noarch

%description
JFontChooser is a swing-based java component for font selection.


%package javadoc
Summary:       API documentation for %{name}

%description javadoc
This package provides %{summary}.


%prep
%setup -q
%pom_remove_parent
find -name '*.jar' -delete


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.txt
%license LICENSE.txt


%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Tue Dec 08 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.5-2
- Review from Michael Simacek (#1286002):
- Drop POM parent with a macro
- Include license text in javadoc subpackage

* Fri Nov 27 2015 Lubomir Rintel <lkundrak@v3.sk> - 1.0.5-1
- Initial packaging
